Bug 66454 - Some user data lost by letter wizard
Summary: Some user data lost by letter wizard
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-01 12:47 UTC by Alessandro Ceschini
Modified: 2016-09-20 10:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Ceschini 2013-07-01 12:47:30 UTC
Hello everybody,

The letter wizard of Writer routinely leaves out my name, my phone number and my email address during the creation of a letter model. I mean, they do appear on the letter while the wizard is still open, but when the saved ott file doesn't display them, only the postal address is left, the rest is always lost, it doesn't matter which one of the three letter models (business, formal personal and personal) I choose, the result is always identical.

I'm running Libreoffice 4.0.2.2 on Ubuntu 13.04
Comment 1 Thomas Hackert 2013-07-03 14:25:37 UTC
Hello Alessandro, *,
thank you for reporting this bug :)

Alas, I can confirm it with LO Version: 4.1.0.1.0+ Build ID: 6ccc588a522f1068706fe05f5c819e488b6628e
TinderBox: Linux-x86_64@31-Release-Configuration-RHEL5-Baseline, Branch:libreoffice-4-1, Time: 2013-07-01_15:59:20 with installed Germanophone help- as well as langpack under Debian Testing AMD64 ... :( Therefore I will set the status of this bug to "New".

Steps to reproduce:
1. Go to "Tools - Options - LibreOffice - User Data" and fill in your personal data, if you haven't done it yet
2. Go to "File - Wizards - Letter..."
3. You can either choose "Business letter" or "Formal personal letter", it doesn't matter ...
4. Click through the wizard, until you have saved the template and clicked on "Finish"
5. Now look at the header of the letter

In my case, there is no name and the zip code follows the town, whereas for my locale it should be the other way round ... :(

Interstingly, if I start LO from commandline, it spits
<quote>
Traceback (most recent call last):
  File "~/LO/daily/opt/libreoffice4.1/program/wizards/letter/LetterWizardDialogImpl.py", line 1001, in saveConfiguration
    self.myConfig.writeConfiguration(root, "cp_")
  File "~/LO/daily/opt/libreoffice4.1/program/wizards/common/ConfigGroup.py", line 31, in writeConfiguration
    self.writeField( name, configurationView, param)
  File "~/LO/daily/opt/libreoffice4.1/program/wizards/common/ConfigGroup.py", line 38, in writeField
    prefix)
  File "~/LO/daily/opt/libreoffice4.1/program/wizards/common/ConfigGroup.py", line 31, in writeConfiguration
    self.writeField( name, configurationView, param)
  File "~/LO/daily/opt/libreoffice4.1/program/wizards/common/ConfigGroup.py", line 40, in writeField
    setattr(configView,propertyName,getattr(self,field))
wizards.common.ConfigGroup.com.sun.star.script.CannotConvertException: TYPE is not supported!
</quote>
... Though I am not sure, if this is related at all ... :(

Sorry for the inconvenience
Thomas.
Comment 2 Alessandro Ceschini 2013-07-03 14:54:13 UTC
Hello thackert,

Also the signature is lacking, about the zip code, yes, it should precede the city, but I think this problem should be filed under another bug report.
Comment 3 Alessandro Ceschini 2013-10-25 13:00:58 UTC
Hello everybody,

On LibreOffice 4.1.2.3 on Ubuntu 13.10 the bug is still there. Do you plan to assign it to someone?
Comment 4 Alessandro Ceschini 2014-02-01 15:14:37 UTC
Bump!
LO 4.1.3.2 and the problem is still there.
Comment 5 Thomas Hackert 2014-03-02 18:17:27 UTC
Hello Alessandro, *,
it is still reproducible w/ LO Version: 4.2.2.1 Build ID: 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f with installed Germanophone help- as well as langpack under Debian Testing i386 ... :( I think, I start a mail to the QA ML to ask there for help ... :(
Sorry for the inconvenience
Thomas.
Comment 6 Alessandro Ceschini 2014-03-05 08:16:41 UTC
(In reply to comment #5)
> Hello Alessandro, *,
> it is still reproducible w/ LO Version: 4.2.2.1 Build ID:
> 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f with installed Germanophone help-
> as well as langpack under Debian Testing i386 ... :( I think, I start a mail
> to the QA ML to ask there for help ... :(
> Sorry for the inconvenience
> Thomas.

Yes, it's reproducible. Though no germanophone help on my installation.
Comment 7 Joel Madero 2015-05-02 15:43:38 UTC Comment hidden (obsolete)
Comment 8 Thomas Hackert 2015-07-12 12:05:20 UTC
Hello Joel, *,
(In reply to Joel Madero from comment #7)
<sniip>
> If you have time, please do the following:
> 
>    Test to see if the bug is still present on a currently supported version
> of LibreOffice (4.4.2 or later)
>    https://www.libreoffice.org/download/
> 
>    If the bug is present, please leave a comment that includes the version
> of LibreOffice and your operating system, and any changes you see in the bug
> behavior
<snip>

alas, this bug is still valid in LO on Debian Testing AMD64 with

Version: 4.4.4.3
Build-ID: 40m0(Build:3)
Gebietsschema: de_DE.UTF-8
(Debian's own version)

and

Version: 5.0.0.3
Build-ID: f79b5ba13f5e6cbad23f8038060e556217e66632
Gebietsschema: de-DE (de_DE.UTF-8)
(parallel installed, following the instructions from https://wiki.documentfoundation.org/Installing_in_parallel/Linux .... :( Both versions are installed with Germanophone UI as well as helppack.

Thanks for the reminder and have a nice day
Thomas.
Comment 9 QA Administrators 2016-09-20 10:14:34 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920